Subject: [bug#63645] [PATCH] gnu: swaynotificationcenter: Update to 0.8.0

From: Brian Cully <[email-masked]>
Date: Mon, 12 Jun 2023 15:11:38 -0400

Christopher Baines <[email-masked]> writes:

>>      (inputs
>> -     (list json-glib
>> +     (list bash-completion
>> +           fish
>> +           json-glib
>>             glib
>>             gtk+
>>             gtk-layer-shell
>>             libhandy
>> +           libgee
>> +           pulseaudio
>>             wayland-protocols))
>
> Regarding these new inputs, what's you're reasoning for adding 
> them?

In general: so that configure would find everything it was looking 
for. I believe the only new hard requirement is libgee and 
json-glib (I can test a build without them and see how far I get, 
but it'll have to wait until I have a bit more time).

The others — bash-completion and fish — are for command 
completion, I believe. Do those better belong in native-inputs 
just so the can be detected during configure-time?

-bjc